# frozen_string_literal: true

module Creditsafe
  module MatchType
    MATCH_BEGINNING = "MatchBeginning"
    MATCH_BLOCK = "MatchBlock"
    EXACT_VALUE = "ExactValue"
    MATCH_WORDS = "MatchWords"
    CLOSEST_KEYWORDS = "ClosestKeywords"
    MATCH_BLOCK_OR_WORDS = "MatchBlockOrWords"
    MATCH_ANY_PARTS = "MatchAnyParts"

    ALLOWED = {
      DE: [MATCH_BEGINNING, MATCH_BLOCK, EXACT_VALUE, MATCH_WORDS],
      FR: [MATCH_BEGINNING, CLOSEST_KEYWORDS, EXACT_VALUE],
      GB: [MATCH_BEGINNING, MATCH_BLOCK_OR_WORDS, EXACT_VALUE],
      IE: [MATCH_BEGINNING, MATCH_BLOCK, MATCH_WORDS],
      GL: [MATCH_BEGINNING],
      CH: [CLOSEST_KEYWORDS],
      LI: [CLOSEST_KEYWORDS],
      NL: [MATCH_BEGINNING, MATCH_BLOCK_OR_WORDS, MATCH_WORDS],
      CZ: [MATCH_BLOCK_OR_WORDS],
      IS: [MATCH_BEGINNING],
      LT: [MATCH_ANY_PARTS],
      MT: [MATCH_BEGINNING, MATCH_BLOCK],
      SK: [MATCH_BLOCK_OR_WORDS],
      BE: [MATCH_BEGINNING, MATCH_BLOCK_OR_WORDS, MATCH_WORDS],
      SE: [MATCH_BLOCK_OR_WORDS, CLOSEST_KEYWORDS],
      PL: [CLOSEST_KEYWORDS],
      NO: [CLOSEST_KEYWORDS],
      PT: [MATCH_BEGINNING],
      LU: [MATCH_BEGINNING, MATCH_BLOCK, EXACT_VALUE],
      CA: [MATCH_BEGINNING],
      ES: [EXACT_VALUE, CLOSEST_KEYWORDS],
      US: [MATCH_BEGINNING, CLOSEST_KEYWORDS],
      PR: [MATCH_BEGINNING, CLOSEST_KEYWORDS],
      AS: [MATCH_BEGINNING, CLOSEST_KEYWORDS],
      FM: [MATCH_BEGINNING, CLOSEST_KEYWORDS],
      GU: [MATCH_BEGINNING, CLOSEST_KEYWORDS],
      MH: [MATCH_BEGINNING, CLOSEST_KEYWORDS],
      MP: [MATCH_BEGINNING, CLOSEST_KEYWORDS],
      PW: [MATCH_BEGINNING, CLOSEST_KEYWORDS],
      VI: [MATCH_BEGINNING, CLOSEST_KEYWORDS],
      SI: [MATCH_BLOCK_OR_WORDS],
      AL: [MATCH_BLOCK_OR_WORDS],
      BA: [MATCH_BLOCK_OR_WORDS],
      HR: [MATCH_BLOCK_OR_WORDS],
      MK: [MATCH_BLOCK_OR_WORDS],
      BG: [MATCH_BLOCK_OR_WORDS],
      RO: [MATCH_BLOCK_OR_WORDS],
      ME: [MATCH_BLOCK_OR_WORDS],
      RS: [MATCH_BLOCK_OR_WORDS],
      LV: [MATCH_BLOCK_OR_WORDS],
      EE: [MATCH_BLOCK_OR_WORDS],
      UA: [MATCH_BLOCK_OR_WORDS],
      MD: [MATCH_BLOCK_OR_WORDS],
      RU: [MATCH_BLOCK_OR_WORDS],
      AM: [MATCH_BLOCK_OR_WORDS],
      AZ: [MATCH_BLOCK_OR_WORDS],
      BY: [MATCH_BLOCK_OR_WORDS],
      GE: [MATCH_BLOCK_OR_WORDS],
      KZ: [MATCH_BLOCK_OR_WORDS],
      UZ: [MATCH_BLOCK_OR_WORDS],
      TJ: [MATCH_BLOCK_OR_WORDS],
      TM: [MATCH_BLOCK_OR_WORDS],
      KG: [MATCH_BLOCK_OR_WORDS],
      KM: [MATCH_BLOCK_OR_WORDS],
      HK: [MATCH_BLOCK_OR_WORDS],
      AT: [MATCH_WORDS],
      IT: [CLOSEST_KEYWORDS, EXACT_VALUE],
      BR: [CLOSEST_KEYWORDS],
      HU: [MATCH_BEGINNING],
      TW: [MATCH_BEGINNING],
      KR: [MATCH_BLOCK_OR_WORDS],
      FI: [CLOSEST_KEYWORDS],
      MX: [CLOSEST_KEYWORDS],
      DK: [MATCH_BEGINNING],
      AU: [CLOSEST_KEYWORDS],
      CN: [CLOSEST_KEYWORDS],
      IN: [CLOSEST_KEYWORDS],
      BD: [CLOSEST_KEYWORDS],
      LK: [CLOSEST_KEYWORDS],
      PK: [CLOSEST_KEYWORDS],
      NP: [CLOSEST_KEYWORDS],
      TH: [CLOSEST_KEYWORDS],
      MY: [CLOSEST_KEYWORDS],
      VN: [CLOSEST_KEYWORDS],
      KH: [CLOSEST_KEYWORDS],
      MM: [CLOSEST_KEYWORDS],
      LA: [CLOSEST_KEYWORDS],
      AF: [CLOSEST_KEYWORDS],
      ID: [CLOSEST_KEYWORDS],
      NZ: [CLOSEST_KEYWORDS],
      SG: [CLOSEST_KEYWORDS],
      BH: [CLOSEST_KEYWORDS],
      BJ: [CLOSEST_KEYWORDS],
      BF: [CLOSEST_KEYWORDS],
      CD: [CLOSEST_KEYWORDS],
      EG: [CLOSEST_KEYWORDS],
      JO: [CLOSEST_KEYWORDS],
      KW: [CLOSEST_KEYWORDS],
      LB: [CLOSEST_KEYWORDS],
      OM: [CLOSEST_KEYWORDS],
      PS: [CLOSEST_KEYWORDS],
      QA: [CLOSEST_KEYWORDS],
      SA: [CLOSEST_KEYWORDS],
      SD: [CLOSEST_KEYWORDS],
      SY: [CLOSEST_KEYWORDS],
      AE: [CLOSEST_KEYWORDS],
      EH: [CLOSEST_KEYWORDS],
      YE: [CLOSEST_KEYWORDS],
      GR: [MATCH_BLOCK_OR_WORDS, CLOSEST_KEYWORDS],
    }.freeze
  end
end
